jQuery(document).ready(function ($) {

var cur_pic = 0;
$('.block_slider_out').slick({
	slidesToShow: 4,
	slidesToScroll: 4,
	dots: true,
	infinite: 0,
	draggable: false
});
$('.big_pic_katalog .slick-prev').click(function(){
       pre_pic = cur_pic;
	cur_pic = cur_pic > 0 ? cur_pic-1 : $('.thumb_link').length-1;

	var curr = $('.thumb_link').eq(cur_pic);
    var auth = curr.data('author');
    var url = curr.data('url');
	var date1 = curr.data('date1');
	var date2 = curr.data('date2');

	$('.big_pic_katalog img').attr('src', $('.thumb_link').eq(cur_pic).attr('href'));
	$('.big_pic_author').attr('href', url).html(auth);
	$('.big_pic_date1').html(date1);
	$('.big_pic_date2').html(date2);

	$('.thumb_link img.active').removeClass('active');
	$('.thumb_link').eq(cur_pic).find('img').addClass('active');
//	$('.block_slider_out').slickGoTo(cur_pic);

});
$('.big_pic_katalog .slick-next').click(function(){
    pre_pic = cur_pic;
	cur_pic = cur_pic < $('.thumb_link').length-1 ? cur_pic+1 : 0;

	var curr = $('.thumb_link').eq(cur_pic);
    var auth = curr.data('author');
    var url = curr.data('url');
	var date1 = curr.data('date1');
	var date2 = curr.data('date2');

	$('.big_pic_katalog img').attr('src', $('.thumb_link').eq(cur_pic).attr('href'));
	$('.big_pic_author').attr('href', url).html(auth);
	$('.big_pic_date1').html(date1);
	$('.big_pic_date2').html(date2);

	$('.thumb_link img.active').removeClass('active');
//  $('.thumb_link').eq(pre_pic).find('img').removeClass('active');
	$('.thumb_link').eq(cur_pic).find('img').addClass('active');
//	$('.block_slider_out').slickGoTo(cur_pic);
//	location.href='#big_pic';


});
$('.thumb_link').click(function(e){
	e.preventDefault();
	var big_img = $(this).attr('href');
	var author = $(this).data('author');
	var url = $(this).data('url');
	var date1 = $(this).data('date1');
	var date2 = $(this).data('date2');
	$('.big_pic_katalog img').attr('src', big_img);
	$('.big_pic_author').attr('href', url).html(author);
	$('.big_pic_date1').html(date1);
	$('.big_pic_date2').html(date2);
	$('.big_pic_url').attr('href', url);
	$('.thumb_link img.active').removeClass('active');
	$(this).find('img').addClass('active');
	location.href='#big_pic';
	return false;
});
});


var date2ch=0;

function changeRoute(switcher){
if (switcher==1){
$('#shortroute').removeClass('visible');
$('#fullroute').addClass('visible');}
else{
$('#shortroute').addClass('visible');
$('#fullroute').removeClass('visible');}}


function helpclick()
{ document.getElementById('Estimated').innerHTML = 'Координаты приблизительные. Реальное положение на местности объекта, координаты которого помечены как "приблизительные", может отличаться от указанного на 100-200 метров, а в отдельных случаях и больше. Если вы обнаружили ошибку, или вам известны точные координаты объекта - пожалуйста, сообщите нам.'; }

function setdate2() {
	var date1;
	date1=document.getElementById('date1');
	date1=date1.value;
	date2=document.getElementById('date2');
	date2v=date2.value;
	if (!date2ch)
		date2.value=date1; }

function setdate2ch()
{ date2ch=1; }
